firestarter_helpdir = $(datadir)/gnome/help/firestarter/C

SGML_FILES =			\
	fs-manual.sgml
	
EXTRA_DIST = \
	topic.dat	\
	$(SGML_FILES)

all: fs-manual

fs-manual: $(SGML_FILES)
	-db2html $(SGML_FILES)

dist-hook: fs-manual
	mkdir $(distdir)/fs-manual
	-cp fs-manual/*.html fs-manual/*.css $(srcdir)/topic.dat fig/*.png $(distdir)/fs-manual
	mkdir $(distdir)/fs-manual/stylesheet-images
	-cp fs-manual/stylesheet-images/* $(distdir)/fs-manual/stylesheet-images

install-data-local: fs-manual
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(firestarter_helpdir)
	-for file in $(srcdir)/fs-manual/*.html $(srcdir)/topic.dat $(srcdir)/fs-manual/*.css; do \
		basefile=`basename $$file`; \
		$(INSTALL_DATA) $$file $(DESTDIR)$(firestarter_helpdir)/$$basefile; \
	done

	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(firestarter_helpdir)
	-for file in $(srcdir)/fig/*.png; do \
		basefile=`basename $$file`; \
		$(INSTALL_DATA) $$file $(DESTDIR)$(firestarter_helpdir)/$$basefile; \
	done

	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(firestarter_helpdir)/stylesheet-images
	-for file in $(srcdir)/fs-manual/stylesheet-images/*; do \
		basefile=`basename $$file`; \
		$(INSTALL_DATA) $$file $(DESTDIR)$(firestarter_helpdir)/stylesheet-images/$$basefile; \
	done

fs-manual.ps: $(SGML_FILES)
	-db2ps $<

fs-manual.rtf: $(SGML_FILES)	
	-db2rtf $<
